<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	 extract($_POST);	 
   $qcc1 = "SELECT id_inver FROM inversionista WHERE rfc = \"$rfc\" ";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
           $id_inv=$rrc[0];
	   $q1 = "SELECT idusuarios_ci, nombre FROM usuarios_ci";
	   $consultada1 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
	    $q2 = "SELECT id_prod, nombreprod FROM productos";
	   $consultada2 = mysqli_query($conexion, $q2) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
	   
	echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>
	<br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Desplazamiento de Producto</label><br><br>Seleccione una fecha incial y una fecha final <br>haciendo click en los caledarios que se encuentran a la deracha<br><br></center>
	<form name=\"Agrega\" action=\"productoxfecha.php\" method=\"post\">
	<div align=\"center\">
	<table width=\"357\" height=\"120\" border=\"1\">
		<tr>
	<td>
	Fecha Inicial:<td/>
	<td><input type=\"text\" name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"></td>";
	 echo"
							</tr>
							<tr>
	<td>
	Fecha Final:<td/>
	<td><input type=\"text\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td>";
	 echo"
							</tr>
							<tr>
	<td>
							Centro Dist:<td/>
	<td><select name = \"listacd\"><option value=\"0\">Todos</option>";
							while ($datos = mysqli_fetch_array($consultada1))
							{
									echo "<option value=\"".$datos[0]."\">".$datos[0]."&nbsp;&nbsp;&nbsp;".$datos[1]."</option>\n";
							
							}
							echo"</select></td>
							</tr>
	<td>
							Producto :<td/>
	<td><select name = \"idprod\">";
							while ($datos = mysqli_fetch_array($consultada2))
							{
									echo "<option value=\"".$datos[0]."\">".$datos[1]."</option>\n";
							
							}
							echo"</select></td>
							</tr>
							
	
	
	  <tr><td>
	</td>
	<td></td><td>
	<br><input type=hidden name=continuar value=\"1\" />
	<input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Reporte\" />
	</td></tr>
      </table>
  </div></form>";
  
  $fecha1 =$_POST['fecha_i'];
  $fecha2 =$_POST['fecha_f'];
  

  if($continuar==1){
$q10 = "SELECT nombreprod FROM productos where id_prod='".$idprod."'";
	   $consultada10 = mysqli_query($conexion, $q10) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
while ($datos = mysqli_fetch_array($consultada10))
							{$nombreproducto=$datos[0];
							}

$vta_total=0;
 
if($listacd==0){$q2 = "SELECT `fechat`,`horat`,`inversionista_id_inver`, nombre, appat, apmat, `idtransacciones`,productos_idprod, cant, `usuarios_ci_idusuarios_ci` FROM `transacciones` join pedido on (pedido.transacciones_idtransacciones=transacciones.idtransacciones) join inversionista on (inversionista.id_inver= transacciones.inversionista_id_inver) WHERE productos_idprod='".$idprod."' and fechat between \"$fecha1\" and \"$fecha2\"";}else  { $q2 = "SELECT `fechat`,`horat`,`inversionista_id_inver`, nombre, appat, apmat, `idtransacciones`,productos_idprod, cant, `usuarios_ci_idusuarios_ci` FROM `transacciones` join pedido on (pedido.transacciones_idtransacciones=transacciones.idtransacciones) join inversionista on (inversionista.id_inver= transacciones.inversionista_id_inver) WHERE productos_idprod='".$idprod."' and usuarios_ci_idusuarios_ci='".$listacd."' and fechat between \"$fecha1\" and \"$fecha2\"";}
  
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  echo"<center><br>
  <b>Reporte de desplazamiento de Producto</b><br><b>Producto: </b>  $nombreproducto <b>Periodo: </b> Del $fecha1 al $fecha2<br>
  <br><table border=\"1\"> <tr>
			<th>Fecha</th><th>Hora</th><th>Id_ Dist</th><th>Nombre</th><th>No. Pedido</th><th>Cantidad</th><th>Centro</th>
			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	   $a5 = $r1[5];
	   $a6 = $r1[6];
	   $a8 = $r1[8];
	   $a9 = $r1[9];
	   
	 
	  
	   
	   $vta_total+=$a8;
	  
echo"<tr><td>$a0</td><td>$a1</td><td>$a2</td><td>$a3 $a4 $a5</td><td>$a6</td><td>$a8</td><td>$a9</td></tr>";
	}
	echo"</table><br>Total de Desplazamiento: <font size=\"5\"> <b> $vta_total</b></font><br>";
	
  }
  
  
?>